Package com.avaya.clientservices.call

## Enum CallState

- java.lang.Object
- - java.lang.Enum<CallState>
  - - com.avaya.clientservices.call.CallState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallState>`

      public enum CallState
      extends java.lang.Enum<CallState>

  The state of a call.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALERTING` | Call is alerting locally (incoming call)
    `BEING_TRANSFERRED` | Incoming transfer request received and the call is being transferred by a remote party on the call.
    `ENDED` | Call ended (by far-end, or end request has been responded to by the remote party).
    `ENDING` | Request to end the call has been sent.
    `ESTABLISHED` | Call has been established and is active (not held)
    `FAILED` | Failed
    `FAR_END_RENEGOTIATING` | Call renegotiating (requested by far-end).
    `HELD` | Call is on hold.
    `HOLDING` | Call is transitioning to the held state.
    `IDLE` | Call hasn't been started.
    `IGNORED` | Call is ignored locally (incoming call), later it can be accepted or denied.
    `INITIATING` | Call initiated (outgoing only).
    `REMOTE_ALERTING` | Call is alerting remotely (outgoing call)
    `RENEGOTIATING` | Call renegotiating (requested by near end).
    `TRANSFERRING` | Transfer initiated by the local user (outgoing).
    `UNHOLDING` | Call is transitioning from the held state back to the established state.
    `VIDEO_UPDATING` | Call's video is being updated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |
    `static CallState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final CallState IDLE

      Call hasn't been started.

    - #### INITIATING

          public static final CallState INITIATING

      Call initiated (outgoing only). No response from far-end has been received.

    - #### REMOTE_ALERTING

          public static final CallState REMOTE_ALERTING

      Call is alerting remotely (outgoing call)

    - #### ALERTING

          public static final CallState ALERTING

      Call is alerting locally (incoming call)

    - #### ESTABLISHED

          public static final CallState ESTABLISHED

      Call has been established and is active (not held)

    - #### HOLDING

          public static final CallState HOLDING

      Call is transitioning to the held state.

    - #### HELD

          public static final CallState HELD

      Call is on hold.

    - #### UNHOLDING

          public static final CallState UNHOLDING

      Call is transitioning from the held state back to the established state.

    - #### VIDEO_UPDATING

          public static final CallState VIDEO_UPDATING

      Call's video is being updated.

    - #### TRANSFERRING

          public static final CallState TRANSFERRING

      Transfer initiated by the local user (outgoing).

    - #### BEING_TRANSFERRED

          public static final CallState BEING_TRANSFERRED

      Incoming transfer request received and the call is being transferred by a remote party on the call.

    - #### IGNORED

          public static final CallState IGNORED

      Call is ignored locally (incoming call), later it can be accepted or denied.

    - #### ENDING

          public static final CallState ENDING

      Request to end the call has been sent.

    - #### ENDED

          public static final CallState ENDED

      Call ended (by far-end, or end request has been responded to by the remote party).

    - #### FAILED

          public static final CallState FAILED

      Failed

    - #### RENEGOTIATING

          public static final CallState RENEGOTIATING

      Call renegotiating (requested by near end).

    - #### FAR_END_RENEGOTIATING

          public static final CallState FAR_END_RENEGOTIATING

      Call renegotiating (requested by far-end).

  - ### Method Detail

    - #### values

          public static CallState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallState c : CallState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CallState>`